Subject: Skiboot recovery of MCEs during MMIO read of SCOMs: 55672ecfa21f

From: Daniel Axtens <[email-masked]>
Date: Mon, 21 Sep 2015 13:02:48 +1000

Hi,

This relates to 55672ecfa21f ("powerpc/book3s: Recover from MC in
sapphire on SCOM read via MMIO.").

According to that patch, some SCOM reads via MMIO could lead to a
Machine Check Error in skiboot. That patch provided kernel support for a
skiboot interface to recover from those MCEs.

That patch went into the kernel in Dec 2013. However, modern skiboot
does not expose the device tree property needed to use this mechanism.
As far as I can tell, nothing ever went into Skiboot for this purpose. 

Is this something we plan to use in the future? Or is it now redundant?

-- 
Regards,
Daniel